
D4Science Infrastructure - Task #9310

Dismiss the 2 VMs dedicated to MongoDB Jackrabbit OAK

Jul 19, 2017 11:36 AM - Massimiliano Assante

Status: Closed Start date: Jul 19, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

I don't recall the host names but the 2 VMs can be dismissed 

Related issues:

Related to D4Science Infrastructure - Task #3895: Upgrade the jackrabbit deve... Closed May 05, 2016

Related to D4Science Infrastructure - Task #9316: Dismiss the ws-repo-test.d4... Closed Jul 19, 2017

History

#1 - Jul 19, 2017 12:14 PM - Andrea Dell'Amico

- Related to Task #3895: Upgrade the jackrabbit devel environment added

#2 - Jul 19, 2017 12:17 PM - Andrea Dell'Amico

@valentina.marioli@isti.cnr.it which one in 

workspace-repository-devnext IN CNAME workspace-repository1-d.d4science.org

workspace-repository-devsec IN CNAME workspace-repository2-d.d4science.org

workspace-repository1-d.d4science.org IN A 146.48.122.137

workspace-repository2-d.d4science.org IN A 146.48.122.140

workspace-repository3-d.d4science.org IN A 146.48.122.135

 is the VM that was used to test Jackrabbit OAK?

#3 - Jul 19, 2017 12:52 PM - Valentina Marioli

If I remember correctly, I have used workspace-repository3-d.d4science.org and ws-repo-mongo-d.d4science.org.

Note:

[jackrabbit_devnext]

workspace-repository1-d.d4science.org

workspace-repository3-d.d4science.org

[jackrabbit_devsec]

workspace-repository2-d.d4science.org

[jackrabbit_dev_mongo]

ws-repo-mongo-d.d4science.org

#4 - Jul 19, 2017 12:57 PM - Massimiliano Assante

So there are 4 VMs not in use to dismiss not 2 am I right? 

workspace-repository1-d.d4science.org

workspace-repository3-d.d4science.org

workspace-repository2-d.d4science.org

ws-repo-mongo-d.d4science.org

#5 - Jul 19, 2017 01:00 PM - Andrea Dell'Amico

Massimiliano Assante wrote:

So there are 4 VMs not in use to dismiss not 2 am I right? 

workspace-repository1-d.d4science.org

workspace-repository3-d.d4science.org
workspace-repository2-d.d4science.org

ws-repo-mongo-d.d4science.org

 

Wasn't the plan to use the other two to port the dev workspace on a clustered instance too, and then get rid of node11.d.d4science?

The postgresql DB can be hosted by postgresql-srv-dev.d4science.org

#6 - Jul 19, 2017 02:16 PM - Massimiliano Assante

Yes we have such a plan, hopefully we can make it before August.

To sum up the following will be used for the new Jackrabbit cluster over Postgres:

workspace-repository1-d.d4science.org

workspace-repository2-d.d4science.org

While  the other 2 can be dismissed, and we will use postgresql-srv-dev.d4science.org for the DB.

#7 - Jul 19, 2017 02:37 PM - Andrea Dell'Amico

- Status changed from New to In Progress

OK. I'm shutting down workspace-repository3-d.d4science.org and ws-repo-mongo-d.d4science.org.

If the two others are going to be used before August I'll keep them alive, otherwise it's better to destroy them and create them again later.

We need a new task for the activity, anyway.

#8 - Jul 19, 2017 02:39 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

Andrea Dell'Amico wrote:

OK. I'm shutting down workspace-repository3-d.d4science.org and ws-repo-mongo-d.d4science.org.

 Done.

#9 - Jul 19, 2017 03:00 PM - Andrea Dell'Amico

- Related to Task #9313: Test the jackrabbit cluster in dev added

#10 - Jul 19, 2017 03:02 PM - Andrea Dell'Amico

- Related to deleted (Task #9313: Test the jackrabbit cluster in dev)

#12 - Jul 19, 2017 03:21 PM - Andrea Dell'Amico

- Related to Task #9316: Dismiss the ws-repo-test.d4science.org VM added

#13 - Jul 19, 2017 03:29 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
